%define pkgname	phpMyAdmin
%define sandbox /usr/clearos/sandbox

Summary:	Web-based administration for the MySQL database server
Name:		phpMyAdmin
Version:	4.0.10.5
Release:	1%{?dist}
License:	GPLv2+
Group:		Applications/Internet
URL:		http://www.phpmyadmin.net/
Source0:	http://downloads.sourceforge.net/sourceforge/%{pkgname}/%{pkgname}-%{version}-all-languages.tar.gz
Source1:	phpMyAdmin-config.inc.php
Source2:	phpMyAdmin.htaccess
Requires:	webconfig-httpd, webconfig-php >= 5.2.0, webconfig-php-mysql >= 5.2.0
Requires:	webconfig-php-mbstring >= 5.2.0, webconfig-php-gd >= 5.2.0
Requires:   openssl
BuildArch:  noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
phpMyAdmin is a tool written in PHP intended to handle the administration of
MySQL over the World Wide Web. Most frequently used operations are supported
by the user interface (managing databases, tables, fields, relations, indexes,
users, permissions), while you still have the ability to directly execute any
SQL statement.

Features include an intuitive web interface, support for most MySQL features
(browse and drop databases, tables, views, fields and indexes, create, copy,
drop, rename and alter databases, tables, fields and indexes, maintenance
server, databases and tables, with proposals on server configuration, execute,
edit and bookmark any SQL-statement, even batch-queries, manage MySQL users
and privileges, manage stored procedures and triggers), import data from CSV
and SQL, export data to various formats: CSV, SQL, XML, PDF, OpenDocument Text
and Spreadsheet, Word, Excel, LATEX and others, administering multiple servers,
creating PDF graphics of your database layout, creating complex queries using
Query-by-example (QBE), searching globally in a database or a subset of it,
transforming stored data into any format using a set of predefined functions,
like displaying BLOB-data as image or download-link and much more...

%prep
%setup -q -n %{pkgname}-%{version}-all-languages

# Setup vendor config file
sed -e "/'CHANGELOG_FILE'/s@./ChangeLog@%{_datadir}/doc/%{name}-%{version}/ChangeLog@" \
    -e "/'LICENSE_FILE'/s@./LICENSE@%{_datadir}/doc/%{name}-%{version}/LICENSE@" \
    -e "/'CONFIG_DIR'/s@'./'@'%{_sysconfdir}/%{pkgname}/'@" \
    -e "/'SETUP_CONFIG_FILE'/s@./config/config.inc.php@%{_localstatedir}/lib/%{pkgname}/config/config.inc.php@" \
    -i libraries/vendor_config.php

%post

# Add blowfish support
CHECK=`grep "^\$cfg\[['\"]blowfish_secret['\"]\]" /etc/phpMyAdmin/config.inc.php`
if [ -z "$CHECK" ]; then
    SECRET=`openssl rand -base64 32 | sed 's/\//_/g'`
    echo "" >> /etc/phpMyAdmin/config.inc.php
    echo "// Blowfish secret" >> /etc/phpMyAdmin/config.inc.php
    echo "\$cfg['blowfish_secret'] = '$SECRET';" >> /etc/phpMyAdmin/config.inc.php
fi

# Add system database hook
CHECK=`grep "include.*system_database.php" /etc/phpMyAdmin/config.inc.php`
if [ -z "$CHECK" ]; then
    echo "" >> /etc/phpMyAdmin/config.inc.php
    echo "// ClearOS system database definition" >> /etc/phpMyAdmin/config.inc.php
    echo "if (file_exists('/etc/phpMyAdmin/system_database.php'))" >> /etc/phpMyAdmin/config.inc.php
    echo "    include '/etc/phpMyAdmin/system_database.php';" >> /etc/phpMyAdmin/config.inc.php
fi


%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{%{_datadir}/%{pkgname},%{sandbox}%{_sysconfdir}/httpd/conf.d,%{_sysconfdir}/%{pkgname}}
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/%{pkgname}/{upload,save,config}
cp -ad * $RPM_BUILD_ROOT%{_datadir}/%{pkgname}
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{sandbox}%{_sysconfdir}/httpd/conf.d/%{pkgname}.conf
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{pkgname}/config.inc.php

rm -f $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/{[CIRLT]*,*txt}
rm -f $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/{libraries,setup/{lib,frames}}/.htaccess
rm -rf $RPM_BUILD_ROOT%{_datadir}/%{pkgname}/contrib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog README LICENSE
%dir %{_datadir}/%{pkgname}
%{_datadir}/%{pkgname}/
%dir %{_sysconfdir}/%{pkgname}/
%config(noreplace) %{_sysconfdir}/%{pkgname}/config.inc.php
%config(noreplace) %{sandbox}%{_sysconfdir}/httpd/conf.d/%{pkgname}.conf
%dir %{_localstatedir}/lib/%{pkgname}/
%dir %attr(0700,webconfig,webconfig) %{_localstatedir}/lib/%{pkgname}/upload
%dir %attr(0700,webconfig,webconfig) %{_localstatedir}/lib/%{pkgname}/save
%dir %attr(0700,webconfig,webconfig) %{_localstatedir}/lib/%{pkgname}/config

%changelog
* Tue Nov 11 2014 ClearFoundation <developer@clearfoundation.com> 4.0.10.5-1
- Upstream update

* Thu Feb 13 2014 ClearFoundation <developer@clearfoundation.com> 3.5.8.2-3
- Removed local mysql-server requirement

* Thu Feb 13 2014 ClearFoundation <developer@clearfoundation.com> 3.5.8.2-2
- Added system database hook

* Wed Oct 30 2013 ClearFoundation <developer@clearfoundation.com> 3.5.8.2-1
- Upstream update

* Thu Apr 25 2013 ClearFoundation <developer@clearfoundation.com> 3.5.8.1-1
- Upstream update

* Mon Apr 22 2013 ClearFoundation <developer@clearfoundation.com> 3.5.8-1
- Upstream update

* Mon Feb 18 2013 ClearFoundation <developer@clearfoundation.com> 3.5.7
- Upstream update

* Tue Nov 20 2012 ClearFoundation <developer@clearfoundation.com> 3.5.4
- Upstream update

* Tue Oct 09 2012 ClearFoundation <developer@clearfoundation.com> 3.5.3
- Upstream update

* Wed Aug 29 2012 ClearFoundation <developer@clearfoundation.com> 3.5.2.2
- Upstream update

* Sun Aug 05 2012 ClearFoundation <developer@clearfoundation.com> 3.5.2.1
- Upstream update

* Fri May 18 2012 ClearFoundation <developer@clearfoundation.com> 3.5.1
- Upstream update

* Fri Apr 13 2012 ClearFoundation <developer@clearfoundation.com> 3.5.0
- Upstream update

* Tue Feb  7 2012 ClearFoundation <developer@clearfoundation.com> 3.4.9
- Upstream update

* Fri Oct 28 2011 ClearFoundation <developer@clearfoundation.com> 3.4.7-1
- Imported and merged EPEL and ClearOS spec files
